#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-CCVZ99VqIvu8HinOtFWnlN
key:                  persistent-test-2.13.0.3-CCVZ99VqIvu8HinOtFWnlN
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  f0ffbeff926d07eb9e26f6e2d32cb704
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-CCVZ99VqIvu8HinOtFWnlN
depends:
    HUnit-1.6.2.0-2lDDmQCEetY9OrwZ2lDZMS
    QuickCheck-2.14.2-Hi2DusSU1aNLBaKmssS2cn
    aeson-1.5.6.0-6DdSUx8dbuIIjP00Zg5a6S base-4.15.0.0
    blaze-html-0.9.1.2-K4t4PnwLIn1K06QqwerVVe bytestring-0.10.12.1
    conduit-1.3.4.2-AchFtERdZ63E4BSigaitpI containers-0.6.4.1
    exceptions-0.10.4 hspec-2.8.3-KpDDh4qNyBt7FbqE4tn9gO
    hspec-expectations-0.8.2-GGGXL2nWs981V3xvQdYYx0
    http-api-data-0.4.3-7amDLsGwUtcJkmhdVs0fyH
    monad-control-1.0.3.1-Endiji3hqqp3N5FxAxM6jw
    monad-logger-0.3.36-7VH6RM5TTQQCholvAXCufw mtl-2.2.2
    path-pieces-0.2.1-HjhK3aNN7yZFxOOVXSfLKP
    persistent-2.13.1.2-EmR9JXxoN8NHRt4RYgE77F
    quickcheck-instances-0.3.25.2-IK8SwWmrJuB8yqjbpWXvF1
    random-1.2.1-AVlrOvJdpabLt5UKQZGZvR
    resourcet-1.2.4.3-DSdH8WNuZw9AkjYvTicAaV text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-FnmENEsvcCW4yNlDEn2XlP
    unliftio-0.2.20-3mGFrmsbPJ1E5EBhNtXPag
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-FVdmWuNRiZiBPBGw5WvZRu

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

